<?php
$options        = thrive_get_theme_options();
$next_page_link = get_next_posts_link();
$prev_page_link = get_previous_posts_link();

$section_class = "fullWidth";

if ( $options['blog_layout'] === 'narrow' ) {
	$section_class = 'bpd';
}

?>

<?php get_header(); ?>

<?php get_sidebar(); ?>

<section class="bSe <?php echo $section_class ?> idx"><!--Start the section wrapper-->

	<?php if ( _thrive_check_focus_area_for_pages( "archive", "top" ) ): ?>
		<?php if ( strpos( $options['blog_layout'], 'masonry' ) === false && strpos( $options['blog_layout'], 'grid' ) === false ): ?>
			<?php thrive_render_top_focus_area( "top", "archive" ); ?>
		<?php endif; ?>
	<?php endif; ?>


	<div class="wrp">

		<?php get_template_part( 'breadcrumbs' ); ?>

		<article class="ach">
			<div class="cnt">
				<h6>
					<?php
					printf( __( 'All posts in <span>"%s"</span>', 'thrive' ), '' . single_cat_title( '', false ) . '' );
					?>
				</h6>
			</div>
		</article>

		<?php if ( have_posts() ): ?>
			<?php while ( have_posts() ): ?>
				<?php the_post(); ?>
				<?php get_template_part( 'content' ); ?>
			<?php endwhile; ?>

			<?php if ( _thrive_check_focus_area_for_pages( "archive", "bottom" ) ): ?>
				<?php if ( strpos( $options['blog_layout'], 'masonry' ) === false && strpos( $options['blog_layout'], 'grid' ) === false ): ?>
					<?php thrive_render_top_focus_area( "bottom", "archive" ); ?>
					<div class="spr"></div>
				<?php endif; ?>
			<?php endif; ?>

			<div class="clear"></div>
			<?php if ( $next_page_link || $prev_page_link && ( $next_page_link != "" || $prev_page_link != "" ) ): ?>
				<div class="awr ctr pgn clearfix">
					<?php thrive_pagination(); ?>
				</div>
				<div class="bspr"></div>
			<?php endif; ?>
		<?php else: ?>
			<!--No contents-->
		<?php endif ?>
	</div>
	<?php get_footer(); ?>