<?php
$options           = thrive_get_theme_options();
$next_page_link    = get_next_posts_link();
$prev_page_link    = get_previous_posts_link();
$exclude_woo_pages = array(
	intval( get_option( 'woocommerce_cart_page_id' ) ),
	intval( get_option( 'woocommerce_checkout_page_id' ) ),
	intval( get_option( 'woocommerce_pay_page_id' ) ),
	intval( get_option( 'woocommerce_thanks_page_id' ) ),
	intval( get_option( 'woocommerce_myaccount_page_id' ) ),
	intval( get_option( 'woocommerce_edit_address_page_id' ) ),
	intval( get_option( 'woocommerce_view_order_page_id' ) ),
	intval( get_option( 'woocommerce_terms_page_id' ) )
);
?>

<?php get_header(); ?>

<?php get_sidebar(); ?>

<section class="bSe fullWidth idx"><!--Start the section wrapper-->
	<?php if ( _thrive_check_focus_area_for_pages( "archive", "top" ) ): ?>
		<?php if ( strpos( $options['blog_layout'], 'masonry' ) === false && strpos( $options['blog_layout'], 'grid' ) === false ): ?>
			<?php thrive_render_top_focus_area( "top", "archive" ); ?>
		<?php endif; ?>
	<?php endif; ?>


	<div class="wrp">
		<?php get_template_part( 'breadcrumbs' ); ?>

		<article class="ach">
			<div class="cnt">
				<h6>
					<?php printf( __( 'Search Results for: %s', 'thrive' ), '' . get_search_query() . '' ); ?>
				</h6>
			</div>
		</article>

		<?php if ( have_posts() ): ?>
			<?php while ( have_posts() ): ?>
				<?php the_post(); ?>
				<?php if ( in_array( get_the_ID(), $exclude_woo_pages ) ): continue; endif; ?>
				<?php get_template_part( 'content' ); ?>
			<?php endwhile; ?>

			<?php if ( _thrive_check_focus_area_for_pages( "archive", "bottom" ) ): ?>
				<?php if ( strpos( $options['blog_layout'], 'masonry' ) === false && strpos( $options['blog_layout'], 'grid' ) === false ): ?>
					<?php thrive_render_top_focus_area( "bottom", "archive" ); ?>
					<div class="spr"></div>
				<?php endif; ?>
			<?php endif; ?>

			<div class="clear"></div>
			<?php if ( $next_page_link || $prev_page_link && ( $next_page_link != "" || $prev_page_link != "" ) ): ?>
				<div class="awr ctr pgn clearfix">
					<?php thrive_pagination(); ?>
				</div>
				<div class="bspr"></div>
			<?php endif; ?>
		<?php else: ?>
			<!--No contents-->
		<?php endif ?>
	</div>
	<?php get_footer(); ?>