<?php
$options = thrive_get_theme_options();
?>
<?php tha_sidebars_before(); ?>

	<div class="sAs left <?php echo _thrive_get_sidebar_element_class( $options ); ?>">

		<?php echo _thrive_get_sidebar_bg_element( $options ); ?>

		<div class="sAsin">
			<div class="msd">
				<?php if ( $options['logo_type'] == "text" ): ?>
					<div id="text_logo"
						 class="<?php if ( $options['logo_color'] == "default" ): ?><?php echo $options['color_scheme'] ?><?php else: ?><?php echo $options['logo_color'] ?><?php endif; ?>">
						<a href="<?php echo home_url( '/' ); ?>"><?php echo $options['logo_text']; ?></a>
					</div>
				<?php elseif ( ! empty( $options['logo'] ) ): ?>
					<a href="<?php echo home_url( '/' ); ?>" id="logo">
						<img src="<?php echo $options['logo']; ?>"
							 alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"/>
					</a>
				<?php endif; ?>

				<?php if ( $options['sidebar_author_enabled'] != 0 && $sidebar_author = _thrive_get_sidebar_author_info() ): ?>
					<div class="si">
						<div class="auth">

							<div class="aut">
								<?php if ( isset( $sidebar_author['static_pic'] ) ): ?>
									<img src="<?php echo $sidebar_author['static_pic']; ?>" width="125" height="125"/>
								<?php else: ?>
									<?php echo $sidebar_author['avatar']; ?>
								<?php endif; ?>
							</div>
							<?php if ( isset( $options['bottom_about_author'] ) && $options['bottom_about_author'] == 1 ): ?>
								<div class="aubb" style="display: none;">
									<h4><?php _e( "About", 'thrive' ); ?> <a
												href="<?php echo $sidebar_author['posts_url']; ?>"><?php echo $sidebar_author['display_name']; ?></a>
									</h4>
									<p><?php echo $sidebar_author['description']; ?></p>

									<?php if ( count( $sidebar_author['social_links'] ) > 0 ): ?>
										<div class="aubs clearfix">
											<ul class="left">
												<?php
												foreach ( $sidebar_author['social_links'] as $service => $url ):
													if ( in_array( $service, $sidebar_author['show_social_profiles'] ) || empty( $sidebar_author['show_social_profiles'][0] ) ) {
														$url = _thrive_get_social_link( $url, $service );
														?>
														<li>
															<a href="<?php echo $url; ?>"
															   class="<?php echo $service; ?>" target="_blank"></a>
														</li>
														<?php
													}
												endforeach;
												?>
											</ul>
											<?php if ( ! empty( $sidebar_author['author_website'] ) ): ?>
												<a href="<?php echo $sidebar_author['author_website']; ?>"
												   class="mre right"><?php echo $sidebar_author['author_website_text']; ?></a>
											<?php endif; ?>
										</div>
									<?php endif; ?>
								</div>
							<?php endif; ?>

						</div>
						<p><?php echo get_bloginfo( 'description', 'display' ); ?></p>
					</div>
				<?php endif; ?>

				<div class="sb">
					<a href="" class="sbm hbd"></a>
					<a href="" class="sbs hbd"></a>

					<form action="<?php echo home_url( '/' ); ?>" method="get" class="msh" style="display: none;">
						<div>
							<input type="text" placeholder="<?php _e( "Search", 'thrive' ); ?>..." class="search-field"
								   name="s"/>
							<button type="submit" class="search-button"></button>
							<div class="clear"></div>
						</div>
					</form>
				</div>
				<!-- Woocommerce cart -->
				<?php if ( has_nav_menu( "primary" ) ): ?>
					<?php
					locate_template( 'inc/templates/woocommerce-navbar-mini-cart.php' );
					?>
					<?php wp_nav_menu( array(
						'theme_location'  => 'primary',
						'container'       => 'nav',
						'container_class' => ""
					) ); ?>
				<?php else: ?>
					<?php _e( "Assign a 'primary' menu", 'thrive' ); ?>
				<?php endif; ?>

				<div class="clearfix"></div>

			</div>
			<div class="wsd" id="scrollingWidgets">
				<div class="viewport">
					<div class="overview scrollbar-chrome">
						<?php if ( _thrive_check_is_woocommerce_page() ): ?>
							<?php if ( ! dynamic_sidebar( 'sidebar-woo' ) ) : ?>
								<!--IF THE WOO COMMERCE SIDEBAR IS NOT REGISTERED-->
							<?php endif; // end post sidebar widget area  ?>
						<?php elseif ( ! is_page() ): ?>
							<?php if ( ! dynamic_sidebar( 'sidebar-1' ) ) : ?>
								<!--IF THE MAIN SIDEBAR IS NOT REGISTERED-->
							<?php endif; // end post sidebar widget area  ?>
						<?php else: ?>
							<?php if ( ! dynamic_sidebar( 'sidebar-2' ) ) : ?>
								<!--IF THE PAGES SIDEBAR IS NOT REGISTERED-->
							<?php endif; // end page sidebar widget area  ?>
						<?php endif; ?>
						<div class="clear"></div>
					</div>
				</div>
			</div>
		</div>

	</div>

<?php tha_sidebars_after(); ?>